package com.qmth.teachcloud.report.business.service;

import com.qmth.teachcloud.report.business.bean.dto.printOpen.PaperConfig;

import java.io.IOException;

/**
 * @Description: 请求知学知考开放接口
 * @Author: CaoZixuan
 * @Date: 2022-06-07
 */
public interface CallPrintOpenApiService {
    /**
     * 请求分布式印刷试卷基础配置查询接口
     * @param thirdExamId 考试id
     * @param gradeCourseCode 科目编号
     * @return 结果
     */
    PaperConfig callPaperConfig(Long thirdExamId,String gradeCourseCode) throws IOException;

}
